%define pre 0
%if %pre
%define rel 1
%define fname %name-%version-%pre
%else 
%define rel 1
%define fname %name-%version
%endif
Summary: A gtk+ based diagram creation program
Name: dia
Version: 0.97.2
Release: %mkrel %rel
License: GPLv2+
Group: Office
Source: ftp://ftp.gnome.org/pub/GNOME/sources/%name/%{fname}.tar.xz
Patch0: dia-0.97.1-use-own-gtkrc.patch
#gw quick hack to find the gnome documentation
Patch1: dia-0.97.1-help.patch
Patch2: dia-0.97.2-fix-glib-includes.patch
Patch3: dia-0.97.2-vdx-fix-includes.patch
URL: http://www.gnome.org/projects/dia 
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires:	docbook-utils
#BuildRequires:	pygtk2.0
#BuildRequires:	python-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	png-devel
BuildRequires:	libxslt-devel
BuildRequires:	cairo-devel
BuildRequires:	intltool
BuildRequires:	autoconf2.5
BuildRequires:  PyXML
BuildRequires:	libxslt-proc
BuildRequires:	scrollkeeper
BuildRequires:	docbook-style-xsl
BuildRequires:	desktop-file-utils
#gw if we run aclocal or autogen.sh
BuildRequires:	libtool gnome-common
#Requires:	pygtk2.0
#gw help viewer also for non-GNOME
Suggests:	yelp
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Dia is a program designed to be much like the Windows
program 'Visio'. It can be used to draw different kind of diagrams. In
this first version there is support for UML static structure diagrams
(class diagrams) and Network diagrams. It can currently load and save
diagrams to a custom fileformat and export to postscript.

%prep
%setup -q -n %fname
%apply_patches

# gw fix doctype
perl -pi -e "s^../../dtd/docbookx.dtd^http://www.oasis-open.org/docbook/xml/4.2/docbookx.dtd^" doc/*/dia.xml

%build
%configure2_5x --enable-gnome --with-cairo
#--with-python

%make libdia_la_LIBADD="\$(GTK_LIBS)"

%install
rm -fr %{buildroot}

%makeinstall_std

# fix en documentation directory name
rm -f %buildroot%_datadir/gnome/help/%name/C
mv %buildroot%_datadir/gnome/help/%name/en %buildroot%_datadir/gnome/help/%name/C

#fix icon and invalid version in bugzilla field
sed -i -e 's/@\(%{version}\)@/\1/g' -e 's/Icon=dia_gnome_icon.png/Icon=dia_gnome_icon/g' %{buildroot}%{_datadir}/applications/dia.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/dia.desktop


#for i in %{buildroot}%{_datadir}/dia/sheets/{ER,GRAFCET,Istar,KAOS,Jackson}/*.xpm ; do
# convert $i `dirname $i`/`basename $i .xpm`.png
#done

%{find_lang} %{name} --with-gnome
for omf in %buildroot%_datadir/omf/*/*-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done


chmod 644 %buildroot%_libdir/%name/*.la

%clean
rm -fr %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README TODO NEWS INSTALL COPYING ChangeLog AUTHORS
%{_bindir}/*
%{_libdir}/dia
%{_mandir}/*/*
%{_datadir}/dia
%{_datadir}/mime-info/*
%{_datadir}/applications/dia.desktop
%_datadir/icons/hicolor/*/*/*
%dir %_datadir/omf/%name
%_datadir/omf/%name/%name-C.omf


%changelog
* Mon Dec 19 2011 Götz Waschk <waschk@mandriva.org> 0.97.2-1mdv2012.0
+ Revision: 743711
- disable python support, see b.g.o #666496
- new version
- xz tarball
- fix build by adding missing includes

  + Oden Eriksson <oeriksson@mandriva.com>
    - attempt to relink against libpng15.so.15

* Tue May 03 2011 Oden Eriksson <oeriksson@mandriva.com> 0.97.1-3
+ Revision: 663771
- mass rebuild

* Sun Oct 31 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.97.1-2mdv2011.0
+ Revision: 590909
- rebuild for python-2.7
- drop 'mdkversion < 200900' macros, too old now

* Mon Jan 25 2010 Götz Waschk <waschk@mandriva.org> 0.97.1-1mdv2010.1
+ Revision: 495834
- new version
- rediff patches 0,1
- drop patch 4
- fix source URL

* Sun May 03 2009 Götz Waschk <waschk@mandriva.org> 0.97-1mdv2010.0
+ Revision: 371269
- new version

* Tue Apr 14 2009 Götz Waschk <waschk@mandriva.org> 0.97-0.pre3.1mdv2009.1
+ Revision: 366961
- new prerelease

* Sun Feb 15 2009 Götz Waschk <waschk@mandriva.org> 0.97-0.pre2.1mdv2009.1
+ Revision: 340618
- new version
- drop patch 5

* Sun Feb 15 2009 Götz Waschk <waschk@mandriva.org> 0.97-0.pre1.1mdv2009.1
+ Revision: 340588
- new version
- rediff patch 0
- drop patches 2,3
- add missing files
- update file list

* Tue Jan 27 2009 Götz Waschk <waschk@mandriva.org> 0.96.1-6mdv2009.1
+ Revision: 334186
- fix python path (potential security issue)

* Mon Dec 29 2008 Götz Waschk <waschk@mandriva.org> 0.96.1-5mdv2009.1
+ Revision: 320996
- fix build

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Wed Jul 30 2008 Götz Waschk <waschk@mandriva.org> 0.96.1-4mdv2009.0
+ Revision: 254783
- fix build
- update license

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.96.1-3mdv2008.1
+ Revision: 178720
- rebuild

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Sep 06 2007 Frederic Crozat <fcrozat@mandriva.com> 0.96.1-2mdv2008.0
+ Revision: 80712
- Fix double menu entry (Mdv bug #33202)


* Sat Mar 31 2007 Frederic Crozat <fcrozat@mandriva.com> 0.96.1-1mdv2007.1
+ Revision: 150026
- Spec cleanup

  + Götz Waschk <waschk@mandriva.org>
    - new version

* Mon Mar 26 2007 Götz Waschk <waschk@mandriva.org> 0.96-1mdv2007.1
+ Revision: 148769
- new version

* Sun Mar 18 2007 Götz Waschk <waschk@mandriva.org> 0.96-0.pre9.1mdv2007.1
+ Revision: 146339
- new version

* Sun Mar 18 2007 Götz Waschk <waschk@mandriva.org> 0.96-0.pre8.1mdv2007.1
+ Revision: 145837
- new version

* Sun Mar 11 2007 Götz Waschk <waschk@mandriva.org> 0.96-0.pre7.1mdv2007.1
+ Revision: 141324
- fix installation
- new version

* Tue Mar 06 2007 Götz Waschk <waschk@mandriva.org> 0.96-0.pre6.1mdv2007.1
+ Revision: 133457
- new version

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 0.96-0.pre5.1mdv2007.1
+ Revision: 126086
- new version

* Mon Feb 05 2007 Götz Waschk <waschk@mandriva.org> 0.96-0.pre4.1mdv2007.1
+ Revision: 116514
- new version
- fix broken XML in the English help

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 0.96-0.pre3.1mdv2007.1
+ Revision: 112039
- new version

* Sun Jan 21 2007 Götz Waschk <waschk@mandriva.org> 0.96-0.pre2.1mdv2007.1
+ Revision: 111411
- new version
- update patch 1
- drop patch 2
- fix installation

* Thu Dec 14 2006 Götz Waschk <waschk@mandriva.org> 0.96-0.pre1.1mdv2007.1
+ Revision: 96825
- fix buildrequires
- depend on yelp
- new version
- rediff patch 1
- replace patch 2 with a perl one liner
- drop patch 3
- fix makefile to add missing defines
- manually install documentation

* Sat Dec 02 2006 Götz Waschk <waschk@mandriva.org> 0.95-6mdv2007.1
+ Revision: 90035
- Import dia

* Sat Dec 02 2006 Gtz Waschk <waschk@mandriva.org> 0.95-6mdv2007.1
- unpack patches

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 0.95-5mdv2006.0
- Rebuild with latest dbus

* Fri Jul 28 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.95-4
- add BuildRequires: desktop-file-utils

* Sun Jul 16 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.95-3mdv2007.0
- XDG menu
- Use macro for mimetypes

* Mon May 29 2006 Gtz Waschk <waschk@mandriva.org> 0.95-2mdv2007.0
- update patch 2
- upgrade to 0.95-1

* Fri Apr 21 2006 Gtz Waschk <waschk@mandriva.org> 0.95-1mdk
- drop patch 2
- new version

* Thu Apr 13 2006 Gtz Waschk <waschk@mandriva.org> 0.95-0.pre9.1mdk
- update patch 2
- new version

* Wed Apr 05 2006 Gtz Waschk <waschk@mandriva.org> 0.95-0.pre8.1mdk
- update patch 2
- new version

* Wed Mar 29 2006 Gtz Waschk <waschk@mandriva.org> 0.95-0.pre7.1mdk
- update patch 2
- new version

* Wed Mar 22 2006 Gtz Waschk <waschk@mandriva.org> 0.95-0.pre6.1mdk
- update patch 2
- new snapshot

* Mon Mar 20 2006 Gtz Waschk <waschk@mandriva.org> 0.95-0.pre5.2mdk
- fix installation

* Sun Mar 12 2006 Gtz Waschk <waschk@mandriva.org> 0.95-0.pre5.1mdk
- update patch 2
- new version

* Tue Mar 07 2006 Gtz Waschk <waschk@mandriva.org> 0.95-0.pre4.1mdk
- update patch 2
- new version

* Sun Feb 26 2006 Gtz Waschk <waschk@mandriva.org> 0.95-0.pre3.1mdk
- rediff patch 2
- new version

* Wed Feb 22 2006 Gtz Waschk <waschk@mandriva.org> 0.95-0.pre2.1mdk
- rediff patch 2
- new version

* Mon Feb 13 2006 Gtz Waschk <waschk@mandriva.org> 0.95-0.pre1.1mdk
- patch 3 to add missing file
- drop patches 3,4
- rediff patches 0,1,2
- new version

* Fri Nov 25 2005 Christiaan Welvaart <cjW@daneel.dyndns.org> 0.94-9mdk
- add BuildRequires: libxslt-proc scrollkeeper docbook-style-xsl

* Fri Nov 18 2005 Oden Eriksson <oeriksson@mandriva.com> 0.94-8mdk
- rebuilt against openssl-0.9.8a

* Tue Oct 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.94-7mdk
Fix BuildRequires

* Mon Sep 19 2005 Gtz Waschk <waschk@mandriva.org> 0.94-6mdk
- fix the man page format

* Sat Aug 13 2005 Gtz Waschk <waschk@mandriva.org> 0.94-5mdk
- patches for gcc4 and new cairo
- rebuild for new cairo

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.94-4mdk 
- Rebuild with latest howl

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.94-3mdk
- Rebuild for new python

* Tue Aug 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.94-2mdk
- fix buildrequires

* Fri Aug 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.94-1mdk
- rediff patch 2
- new version

* Mon Aug 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.94-0.pre6.1mdk
- rediff patch 2
- new version

* Wed Aug 04 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.94-0.pre5.1mdk
- rediff patch 2
- new version

* Tue Aug 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.94-0.pre4.1mdk
- rediff patch 2
- new version

* Sat Jul 31 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.94-0.pre3.2mdk
- Patch1: fix DTD location in help file
- Add png version of ER,GRAFCET,Istar,KAOS,Jackson symbols
- Remove hard dependencies on ISO fonts, it pulls X server

* Tue Jul 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.94-0.pre3.1mdk
- new version

* Sat Jul 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.94-0.pre2.1mdk
- new version

* Tue Jul 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.94-0.pre1.1mdk
- fix help menu entry
- convert icons with imagemagick
- drop yelp stuff
- enable cairo
- rediff patch 0
- new version

* Thu Jun 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.93-3mdk
- reenable libtoolize
- fix accellerator key setting (bug #10123)

* Sat May 08 2004 Robert Vojta <robert.vojta@mandrake.cz> 0.93-2mdk
- URL fixed (http://www.gnome.org/projects/dia)

* Sun May 02 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.93-1mdk
- New release 0.93

* Thu Apr 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.93-0.pre3.1mdk
- new version

* Mon Apr 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.93-0.pre2.2mdk
- fix help files conflict

* Sat Apr 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.93-0.pre2.1mdk
- fix gnome help file listing
- new version

* Thu Apr 08 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.93-0.pre1.1mdk
- drop all patches
- new version

